#ifndef _RH_I40EVF_BACKPORT_COMPAT_H_
#define _RH_I40EVF_BACKPORT_COMPAT_H_

#include <net/checksum.h>


#define NETIF_F_TSO_MANGLEID 0
#define NETIF_F_GSO_PARTIAL  0
#define SKB_GSO_PARTIAL      (1 << 16)


static inline void csum_replace_by_diff(__sum16 *sum, __wsum diff)
{
	*sum = csum_fold(csum_add(diff, ~csum_unfold(*sum)));
}

#endif /* #ifndef _RH_I40EVF_BACKPORT_COMPAT_H_ */
